# 13. Mutation: 「Farm」を作成

「ファーム」を作成します。

{% hint style="info" %}
自身の「ファーム」固有識別子を属性を介して紐付けることができます。 `externalKey` その属性は任意です。
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation CreateFarmSample {
  createFarm(input:{
    name: "Mutation Farm"
    externalKey: "<third_party_indentificator>"
  } ) {
    uuid
    userUuid
    名前
    farmOwnership
    externalKey
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/13-mutation-farmwo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
